package com.joyful.euphoria.board.assistant;



import java.util.ArrayList;
import java.util.List;

public class ResponseLayoutAssistant {
    private String name;
    private List<KeyboardKeyModelAssistant> keyboardKeyModelAssistants = new ArrayList<>();


    public ResponseLayoutAssistant(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyboardKeyModelAssistant> getKeys() {
        return keyboardKeyModelAssistants;
    }

    public void addKey(KeyboardKeyModelAssistant keyboardKeyModelAssistant) {
        this.keyboardKeyModelAssistants.add(keyboardKeyModelAssistant);
    }

    public KeyboardKeyModelAssistant getLastKey() {
        return keyboardKeyModelAssistants.isEmpty() ? null : keyboardKeyModelAssistants.get(keyboardKeyModelAssistants.size() - 1);
    }


}